## fai 6.0.5ubuntu1

=== Makefile ===
include VERSION

SHELL=/bin/bash
DESTDIR=$(shell pwd)/debian/tmp
export DOCDIR = $(shell pwd)/debian/fai-doc/usr/share/doc/fai-doc
LIBDIR = $(DESTDIR)/usr/lib/fai
SHAREDIR = $(DESTDIR)/usr/share/fai
USRSBIN_SCRIPTS = fai-make-nfsroot fai-setup fcopy ftar install_packages fai-chboot fai-monitor fai-cd fai faireboot fai-statoverride setup-storage dhcp-edit fai-new-mac fai-diskimage

USRBIN_SCRIPTS = fai-class fai-do-scripts fai-mirror fai-debconf device2grub policy-rc.d.fai ainsl fai-link fai-sed fai-monitor-gui fai-deps fai-mk-configspace

# for syntax checks
BASH_SCRIPTS = bin/fai bin/fai-cd bin/fai-class bin/fai-debconf bin/fai-do-scripts bin/fai-make-nfsroot bin/fai-mirror bin/fai-setup bin/fai-diskimage bin/fai-statoverride bin/faireboot bin/ftar bin/fai-link bin/fai-sed dev-utils/fai-kvm dev-utils/fai-mk-network examples/simple/basefiles/mk-basefile examples/simple/class/*.sh examples/simple/class/[0-9]* examples/simple/files/etc/rc.local/FAISERVER examples/simple/hooks/* examples/simple/scripts/*/* lib/fai-divert lib/fai-mount-disk lib/fai-savelog lib/fetch-basefile lib/get-boot-info lib/get-config-dir* lib/mkramdisk lib/mount2dir lib/prcopyleft lib/subroutines lib/task_* lib/updatebase lib/dracut/*/* bin/fai-mk-configspace lib/check-cross-arch
SHELL_SCRIPTS = bin/dhclient-fai-script bin/policy-rc.d.fai lib/check_status lib/create_resolv_conf lib/fai-abort lib/fai-disk-info lib/load_keymap_consolechars utils/mkdebmirror
PERL_SCRIPTS = lib/setup-storage/*.pm bin/ainsl bin/device2grub bin/dhcp-edit bin/fai-chboot bin/fai-deps bin/fai-monitor bin/fai-monitor-gui bin/fai-new-mac bin/fcopy bin/install_packages bin/setup-storage dev-utils/setup-storage_deps-graph.pl examples/simple/tests/Faitest.pm lib/dhclient-perl lib/fai-savelog-ftp

# do not include setup-storage and dracut subdir
EXCL=lib/dracut lib/setup-storage
libfiles=$(filter-out $(EXCL),$(wildcard lib/[a-z]*))

all:
	$(MAKE) syntaxcheck
	$(MAKE) -C doc all

syntaxcheck: bashismcheck shellcheck perlcheck

bashismcheck:
	@if [ -x "$$(which checkbashisms 2>/dev/null)" ]; then \
		echo -n "Checking for bashisms"; \
		for SCRIPT in $(SHELL_SCRIPTS); do \
			test -r $${SCRIPT} || continue ; \
			ec=0 ; \
			checkbashisms -x $${SCRIPT} || ec=$$? ; \
			if [ $${ec} -ne 0 ] && [ $${ec} -ne 2 ] ; then exit $${ec} ; fi ; \
			echo -n "."; \
		done; \
		echo " done."; \
	else \
		echo "W: checkbashisms - command not found"; \
		echo "I: checkbashisms can be optained from: "; \
		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
		echo "I: On Debian systems, checkbashisms can be installed with:"; \
		echo "I:   apt-get install devscripts"; \
	fi

shellcheck:
	@echo -n "Checking for shell syntax errors"; \
	for SCRIPT in $(BASH_SCRIPTS) $(SHELL_SCRIPTS); do \
		test -r $${SCRIPT} || continue ; \
		bash -n $${SCRIPT} || exit ; \
		echo -n "."; \
	done; \
	echo " done."; \

perlcheck:
	@echo "Checking for perl syntax errors:"; \
	mkdir -p perl-dummy/Linux perl-dummy/File perl-dummy/Tk ; \
	for f in File/lchown.pm Linux/LVM.pm Tk.pm Tk/HList.pm Tk/ItemStyle.pm; do \
		echo '1;' > perl-dummy/$$f ; \
	done; \
	for SCRIPT in $(PERL_SCRIPTS); do \
		test -r $${SCRIPT} || continue ; \
		perl -Iperl-dummy/ -Ilib/setup-storage/ -w -c $${SCRIPT} || exit ; \
	done; \
	rm -r perl-dummy ; \
	echo "-> perl check done."; \

clean:
	rm -rf perl-dummy
	$(MAKE) -C doc clean

veryclean: clean
	$(MAKE) -f debian/rules clean

install:
	mkdir -p $(DESTDIR)/{sbin,man} $(DESTDIR)/etc/{modutils,apt/apt.conf.d}
	mkdir -p $(DESTDIR)/usr/{sbin,bin} $(DESTDIR)/usr/lib/fai $(DESTDIR)/etc/fai/apt/trusted.gpg.d
	mkdir -p $(DESTDIR)/etc/{init,init.d} $(SHAREDIR)/{pixmaps/small,setup-storage}
	mkdir -p $(DESTDIR)/usr/lib/dracut/modules.d
	install man/* $(DESTDIR)/man
	pod2man -c '' -r '' -s8 bin/dhcp-edit > $(DESTDIR)/man/dhcp-edit.8
	pod2man -c '' -r '' -s8 bin/fai-deps > $(DESTDIR)/man/fai-deps.8
	$(MAKE) -C doc install
	-install $(libfiles) $(LIBDIR)
	cp -a lib/dracut/80fai-autodiscover $(DESTDIR)/usr/lib/dracut/modules.d
	install lib/setup-storage/* $(SHAREDIR)/setup-storage
	install -m644 lib/udev.patch $(SHAREDIR)/
	cd bin ; install $(USRSBIN_SCRIPTS) $(DESTDIR)/usr/sbin
	cd bin ; install $(USRBIN_SCRIPTS) $(DESTDIR)/usr/bin
	install dev-utils/fai-kvm $(DESTDIR)/usr/bin
	install dev-utils/fai-mk-network $(DESTDIR)/usr/sbin
	install bin/dhclient-fai-script  $(SHAREDIR)/
	install -m644 conf/dhclient-fai.conf $(SHAREDIR)/
	install -m644 conf/apt.conf $(DESTDIR)/etc/apt/apt.conf.d/90fai
	cd conf ; install -m644 fai.conf grub.cfg grub.cfg.autodiscover $(DESTDIR)/etc/fai/
	install -m644 conf/nfsroot.conf $(DESTDIR)/etc/fai/
	install -m644 conf/sources.list $(DESTDIR)/etc/fai/apt/
	install -m644 conf/fai-project.gpg $(DESTDIR)/etc/fai/apt/trusted.gpg.d/
	install -m644 conf/NFSROOT $(DESTDIR)/etc/fai
	install -m755 lib/fai-abort $(DESTDIR)/etc/init.d
	cp -a pixmaps/*.gif $(SHAREDIR)/pixmaps
	cp -a pixmaps/small/*.gif $(SHAREDIR)/pixmaps/small
	sed -i 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(DESTDIR)/usr/sbin/fai
	cp -a examples $(DOCDIR)
	rm -f $(DOCDIR)/examples/simple/.git
	cp -a utils $(DOCDIR)/examples

.PHONY: clean veryclean

=== doc/Makefile ===
#!/bin/make -s

DOC = fai-guide
MISC_DOC = classes_description.txt changelog.old
DOC2DIR = $(shell pwd)/../debian/fai-setup-storage/usr/share/doc/fai-setup-storage
OPT = --dblatex-opts "-P latex.output.revhistory=0"


free:	text html pdf
#	echo "`grep -c FIXME $(DOC).txt` FIXMEs left to fix:"
#	grep FIXME $(DOC).txt

images:
	ln -s /usr/share/asciidoc/images images

html: $(DOC).txt images
	asciidoc -a toc2 -a toclevels=3 --theme=flask $(DOC).txt

.NOTPARALLEL:	pdf
pdf: $(DOC).txt	images
	a2x $(OPT) -L --icons -a toc -a toclevels=3 -f pdf $(DOC).txt
	rm -f $(DOC).xml $(DOC).fo

# a2x uses lynx, maybe use w3m instead
# which texwidth for text output?
# asciidoc --doctype=article  -a "toc" -a "toclevels=3" -f /etc/asciidoc/text.conf -b html4 -o - "f-guide.txt" | lynx -dump -stdin >"./f-guide.text"
text: $(DOC).txt
	a2x $(OPT) -L -a toc -a toclevels=3 -f text $(DOC).txt

# for openoffice
doc:	html
	unoconv --show >/dev/null 2>&1 || exit "Please install the unoconv package."
	unoconv -f doc $(DOC).html

all:	free

install:
	cp -dRp $(DOC)* $(DOCDIR)
	cp -p $(MISC_DOC) $(DOCDIR)
	cp -p setup-storage-call-graph.txt setup-storage-overview.txt $(DOC2DIR)

clean:
	rm -rf images .a2x-icons grohtml-*.png
	rm -f $(DOC).text $(DOC).html $(DOC).doc $(DOC).pdf $(DOC).xml $(DOC).ps* docbook-xsl.css

test:
	asciidoc --version > /dev/null 2>&1 || exit "Please install the asciidoc package."


.PHONY: all test clean

=== debian/changelog ===
fai (6.0.5ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - conf/NFSROOT
      + Replace debian linux-image-* with linux-image-generic.
    - conf/{sources.list, nfsroot.conf}:
      + Adjust to Ubuntu sources.
    - conf/nfsroot.conf:
      + Add "dhcp-client" to "--exclude" to FAI_DEBOOTSTRAP_OPTS.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Jul 2023 18:08:53 -0700

fai (6.0.3ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - conf/NFSROOT
      + Replace debian linux-image-* with linux-image-generic.
    - conf/{sources.list, nfsroot.conf}:
      + Adjust to Ubuntu sources.
    - conf/nfsroot.conf:
      + Add "dhcp-client" to "--exclude" to FAI_DEBOOTSTRAP_OPTS.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Jun 2023 19:24:24 -0700

fai (6.0.2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - conf/NFSROOT
      + Replace debian linux-image-* with linux-image-generic.
    - conf/{sources.list, nfsroot.conf}:
      + Adjust to Ubuntu sources.
    - conf/nfsroot.conf:
      + Add "dhcp-client" to "--exclude" to FAI_DEBOOTSTRAP_OPTS.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 10 May 2023 12:45:00 -0700

fai (6.0.1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - conf/NFSROOT
      + Replace debian linux-image-* with linux-image-generic.
    - conf/{sources.list, nfsroot.conf}:
      + Adjust to Ubuntu sources.
    - conf/nfsroot.conf:
      + Add "dhcp-client" to "--exclude" to FAI_DEBOOTSTRAP_OPTS.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 May 2023 13:47:14 +0200

=== debian/control ===
Source: fai
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thomas Lange <lange@debian.org>
Standards-Version: 4.6.1
Build-Depends-Indep: asciidoc-dblatex, w3m, dblatex, docbook-xsl, libparse-recdescent-perl
Build-Depends: debhelper-compat (= 12), debhelper (>= 11), libgraph-perl, devscripts
Vcs-Git: https://github.com/faiproject/fai.git
Vcs-Browser: https://github.com/faiproject/fai
Homepage: https://fai-project.org

Package: fai-client
Architecture: all
Depends: perl, file, libfile-lchown-perl, iproute2, debconf-utils, procps, zstd, ${misc:Depends}
Recommends: fdisk | util-linux (<< 2.29.2-3~)
Suggests: logtail, libgraph-perl
Breaks: fai-nfsroot (<< 5.2)
Replaces: fai-nfsroot (<< 5.2)
Description: Fully Automatic Installation client package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 This is the client package for FAI. It contains the parts necessary
 to run the softupdate functionality on already installed systems, and
 is needed for the dirinstall functionality and others on a FAI server.

Package: fai-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: Documentation for FAI
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 This is the documentation for FAI in various formats.

Package: fai-server
Architecture: all
Depends: fai-client, e2fsprogs, debootstrap, xz-utils, ${misc:Depends}
Recommends: nfs-kernel-server, isc-dhcp-server, tftpd-hpa | atftpd, openssh-server, openssh-client, openbsd-inetd | inet-superserver, libproc-daemon-perl, dosfstools, mtools
Suggests: debmirror, reprepro, xorriso, squashfs-tools, binutils, grub2, perl-tk, qemu-utils, fai-setup-storage
Description: Fully Automatic Installation server package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 It's a tool for mass unattended Linux installation. You can take one
 or more virgin systems, turn on the power, and after a few minutes,
 the systems are installed, and completely configured to your exact
 needs, without any interaction necessary.
 .
 This package is needed for setting up a FAI install server for network
 installations, for running the dirinstall in a chroot environment, and
 to build installation CD/DVD's and USB sticks.

Package: fai-quickstart
Architecture: all
Depends: fai-server, fai-doc, isc-dhcp-server, nfs-kernel-server, tftpd-hpa | atftpd, reprepro, xorriso, squashfs-tools, binutils, openbsd-inetd | inet-superserver, ${misc:Depends}
Description: Fully Automatic Installation quickstart package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 This package setups an install server with some basic
 examples. It should be removed when creating your own config space.
 .
 This package is a dependency package, which will install some
 packages needed for FAI.

Package: fai-nfsroot
Architecture: all
Depends: fai-client (>=5.2), fai-setup-storage, pxelinux| syslinux-common, syslinux-efi, patch, ${misc:Depends}
Description: Fully Automatic Installation nfsroot package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 This package contains the software that is only needed in
 the FAI nfsroot. Do not install this package on a normal machine.

Package: fai-setup-storage
Architecture: all
Depends: perl, e2fsprogs, libparse-recdescent-perl, liblinux-lvm-perl, parted, ${misc:Depends}
Recommends: lvm2, mdadm
Suggests: dmsetup, cryptsetup, dosfstools, jfsutils, ntfs-3g, reiserfsprogs, xfsprogs
Description: automatically prepare storage devices
 Using FAI disk_config files, setup-storage computes effective
 partition and volume sizes and executes the necessary commands
 to configure storage devices. It manages disk drives as well
 as RAID and LVM volumes. It handles all file systems supported
 by parted(8) as well as ntfs but is flexible enough to be
 extended to further types as well. Once the storage devices
 are prepared, an appropriate fstab(5) file is generated.
 .
 This package provides the setup-storage utility as separate
 package so it can be used independent from FAI as well.

=== debian/tests/control ===
Tests: utils
Depends: fai-server, fai-doc
Architecture: amd64

Tests: config-space fcopy nfsroot dirinstall
Restrictions: isolation-container needs-root needs-internet
Depends: fai-server, fai-doc
Architecture: amd64

Tests: fai-mirror
Restrictions: isolation-container needs-internet
Depends: fai-server, fai-doc, reprepro, binutils
Architecture: amd64

Tests: fai-cd fai-cd-tests
Restrictions: isolation-machine needs-root
Depends: fai-server, fai-doc, xorriso, squashfs-tools, binutils, dosfstools, mtools
Architecture: amd64

Tests: diskimage
Restrictions: isolation-container needs-root needs-internet skippable
Depends: fai-server, fai-doc, reprepro, binutils, fai-setup-storage, qemu-utils
Architecture: amd64

## fai 6.0.5ubuntu1trisquel1

=== debian/changelog ===
fai (6.0.5ubuntu1trisquel1) ecne; urgency=medium

  * Adapted for Trisquel. Fixes #28007

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Oct 2024 17:10:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: fai
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Thomas Lange <lange@debian.org>
 Standards-Version: 4.6.1
 Build-Depends-Indep: asciidoc-dblatex, w3m, dblatex, docbook-xsl, libparse-recdescent-perl

## fai 6.2.3

=== Makefile ===
--- 
+++ 
@@ -5,13 +5,13 @@
 export DOCDIR = $(shell pwd)/debian/fai-doc/usr/share/doc/fai-doc
 LIBDIR = $(DESTDIR)/usr/lib/fai
 SHAREDIR = $(DESTDIR)/usr/share/fai
-USRSBIN_SCRIPTS = fai-make-nfsroot fai-setup fcopy ftar install_packages fai-chboot fai-monitor fai-cd fai faireboot fai-statoverride setup-storage dhcp-edit fai-new-mac fai-diskimage
+USRSBIN_SCRIPTS = fai-make-nfsroot fai-setup fcopy ftar install_packages fai-chboot fai-monitor fai-cd fai faireboot fai-statoverride setup-storage dhcp-edit fai-new-mac fai-diskimage mk-data-partition
 
 USRBIN_SCRIPTS = fai-class fai-do-scripts fai-mirror fai-debconf device2grub policy-rc.d.fai ainsl fai-link fai-sed fai-monitor-gui fai-deps fai-mk-configspace
 
 # for syntax checks
-BASH_SCRIPTS = bin/fai bin/fai-cd bin/fai-class bin/fai-debconf bin/fai-do-scripts bin/fai-make-nfsroot bin/fai-mirror bin/fai-setup bin/fai-diskimage bin/fai-statoverride bin/faireboot bin/ftar bin/fai-link bin/fai-sed dev-utils/fai-kvm dev-utils/fai-mk-network examples/simple/basefiles/mk-basefile examples/simple/class/*.sh examples/simple/class/[0-9]* examples/simple/files/etc/rc.local/FAISERVER examples/simple/hooks/* examples/simple/scripts/*/* lib/fai-divert lib/fai-mount-disk lib/fai-savelog lib/fetch-basefile lib/get-boot-info lib/get-config-dir* lib/mkramdisk lib/mount2dir lib/prcopyleft lib/subroutines lib/task_* lib/updatebase lib/dracut/*/* bin/fai-mk-configspace lib/check-cross-arch
-SHELL_SCRIPTS = bin/dhclient-fai-script bin/policy-rc.d.fai lib/check_status lib/create_resolv_conf lib/fai-abort lib/fai-disk-info lib/load_keymap_consolechars utils/mkdebmirror
+BASH_SCRIPTS = bin/fai bin/fai-cd bin/fai-class bin/fai-debconf bin/fai-do-scripts bin/fai-make-nfsroot bin/fai-mirror bin/fai-setup bin/fai-diskimage bin/fai-statoverride bin/faireboot bin/ftar bin/fai-link bin/fai-sed dev-utils/fai-kvm dev-utils/fai-mk-network examples/simple/basefiles/mk-basefile examples/simple/class/*.sh examples/simple/class/[0-9]* examples/simple/files/etc/rc.local/FAISERVER examples/simple/hooks/* examples/simple/scripts/*/* lib/fai-divert lib/fai-mount-disk lib/fai-savelog lib/fetch-basefile lib/get-boot-info lib/get-config-dir* lib/mkramdisk lib/mount2dir lib/prcopyleft lib/subroutines lib/task_* lib/updatebase lib/dracut/*/* bin/fai-mk-configspace bin/mk-data-partition lib/terminal-wrapper lib/fai-disk-info
+SHELL_SCRIPTS = bin/dhclient-fai-script bin/policy-rc.d.fai lib/check_status lib/create_resolv_conf lib/fai-abort lib/load_keymap_consolechars utils/mkdebmirror
 PERL_SCRIPTS = lib/setup-storage/*.pm bin/ainsl bin/device2grub bin/dhcp-edit bin/fai-chboot bin/fai-deps bin/fai-monitor bin/fai-monitor-gui bin/fai-new-mac bin/fcopy bin/install_packages bin/setup-storage dev-utils/setup-storage_deps-graph.pl examples/simple/tests/Faitest.pm lib/dhclient-perl lib/fai-savelog-ftp
 
 # do not include setup-storage and dracut subdir
@@ -92,7 +92,7 @@
 	install bin/dhclient-fai-script  $(SHAREDIR)/
 	install -m644 conf/dhclient-fai.conf $(SHAREDIR)/
 	install -m644 conf/apt.conf $(DESTDIR)/etc/apt/apt.conf.d/90fai
-	cd conf ; install -m644 fai.conf grub.cfg grub.cfg.autodiscover $(DESTDIR)/etc/fai/
+	cd conf ; install -m644 fai.conf grub.cfg grub.cfg.autodiscover grub.cfg.live $(DESTDIR)/etc/fai/
 	install -m644 conf/nfsroot.conf $(DESTDIR)/etc/fai/
 	install -m644 conf/sources.list $(DESTDIR)/etc/fai/apt/
 	install -m644 conf/fai-project.gpg $(DESTDIR)/etc/fai/apt/trusted.gpg.d/
@@ -104,5 +104,9 @@
 	cp -a examples $(DOCDIR)
 	rm -f $(DOCDIR)/examples/simple/.git
 	cp -a utils $(DOCDIR)/examples
+	# Systemd
+	mkdir -p $(DESTDIR)/usr/lib/systemd/system
+	install -m644 conf/systemd/* $(DESTDIR)/usr/lib/systemd/system
+
 
 .PHONY: clean veryclean

=== doc/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 #	grep FIXME $(DOC).txt
 
 images:
-	ln -s /usr/share/asciidoc/images images
+	ln -fs /usr/share/asciidoc/images images
 
 html: $(DOC).txt images
 	asciidoc -a toc2 -a toclevels=3 --theme=flask $(DOC).txt

=== debian/changelog ===
fai (6.2.3) unstable; urgency=low

  [ Thomas Lange ]
  * fai-cd: use mkfs.vat -C instead of dd, move code into new functions,
    add code for arm64 grub image generation, arm64 support still not
    ready
  * install_packages: fix wrong path
  * task_sysinfo: remove unused code
  * fai-make-nfsroot: do not exit script if test fails
  * examples: switch to Ubuntu 24.04, update, replace transitional package
  * mk-basefile: qemu-debootstrap is deprecated because it just calls
    debootstrap
  * fai-kvm: improve suffix handling
  * fai-diskimage: remove qcow2.zst, because qcow2 is now internally
    compressed using zstd
  [ andrew bezella ]
  * DEBIAN.var: fix wrong test
  * package_config/DEBIAN: use $kernelname
  [ Benni ]
  * fai-diskimage: fix wrong order of option when using zstd inside qcow2

 -- Thomas Lange <lange@debian.org>  Wed, 12 Jun 2024 09:13:45 +0200

fai (6.2.2) unstable; urgency=low

  * updatebase: do not divert /sbin/init, Closes: #1056151
  * subroutines: fix variable name
  * 10-base-classes: remove class LINUX

 -- Thomas Lange <lange@debian.org>  Thu, 29 Feb 2024 11:34:09 +0100

fai (6.2.1) unstable; urgency=low

  * set default value for FAI_RAMDISKS in fai, Closes: #1064442
  * remove unused script check-cross-arch, no not use qemu-debootstrap,
    Closes: #1064441, #1064439
  * fai-disk-inifo: make sure functions are defined, closes: #1063146
  * install_packages: check apt-cache instead of .bin file
  * Init.pm: do not match all md devices, LVM on RAID now works again
  * setup-storage: add option -p
  * fai-make-nfsroot: add dracut module network, make sure functions are
    defined for remote login
  * subroutines: remove unused code for starting rsyslogd
  * fix multiple tests
  * GRUB_EFI/10-setup: force setting target architecture
    so fai-diskimage also works in a non-efi environment
  * package_config/DEBIAN: remove package eject

 -- Thomas Lange <lange@debian.org>  Fri, 23 Feb 2024 19:31:45 +0100

fai (6.2) unstable; urgency=low

  [ Thomas Lange ]
  * get-config-dir-svn: remove stray space, Closes: #1041609
  * Init.pm: allow more md device names, Closes: #1050383,
    fix regex for nvme devices with namespaces
  * get-config-dir-detect: new method
  * new script mk-data-partition, add option -c
  * fai: drop sysv code for starting udev,
    if a partition named MY-DATA exists mount it to /media/data
  * task_chboot: do not call if called by fai-diskimage
  * fai-diskimage: add option -C, use zstd for qcow2 format
  * fai-savelog: add optional directory to -l
  * task_instsoft: install packages from /media/data/pkgs
  * task_savelog: save logs to local data partition if it exists
  * terminal-wrapper: add support for running inside a screen or tmux
    session
  * fai-cd: redirect errors from dpkg call, preserve hardlinks when
    copying, write FAI version into FAI-CD, use custom fs.lst for grub
  * fai-scan.sh: redirect dialog output to console, needed for systemd
  * grub.cfg: add partition regex and additional path to EFI environment,
    fix wrong test, ignore FAI CD, print warning if no grub.cfg is found
  * grub.cfg.live: add config for live ISO
  * fai-cd.8: add example how to create a live ISO
  * fai-kvm: add boot from USB, do not add disks that do not exist
  * task_dirinstall: print size of created file system
  * task_chboot: handle FAI_LOGPROTO=none
  * fai-cd: handle symlink to nfsroot, add unicode font
  * mkdebmirror: switch to bookworm
  * fai-mirror: add non-free-firmware
  * install_packages: use apt instead of aptitude for just unpacking,
    remove unsupported aptitude option '--allow-change-held-packages',
    Closes: #1030312
  * conf/NFSROOT: add uuidgen, more nonfree firmware
  * fai-mount-disk: ignore USB stick we booted from, ignore
    /dev/mapper/live-base
  * fai-make-nfsroot: add support for symlinks, adjust modules for systemd
  * setup_storage: add variable FAI_KEEP_CRYPTKEYFILE
  * fai-mirror.1: explain when -B should not be used
  * fai-disk-info: move multiple functions into subroutines
  * package_config/FAISERVER: remove grub-pc, Closes: #1054263, #1054262
    remove nscd
  * package_config/DEBIAN: add bash-completion
  * disk_config: increase size of /boot
  * rc.local/FAISERVER: add information messages, always move rc.local to
    /var/tmp, restart apt-cacher-ng
  * FAISERVER/10-conffiles: more options for apt-cacher-ng
  * mk-basefile: add Alma Linux
  * add class LIVEISO
  * updatebase: use ctam()
  * hook/subroutines: define two cleanup_.. functions
  * instsoft.DEBIAN: use zstd for dracut
  * 50-misc: add test if $release is empty
  * subroutines: do not use bind for mounting pseudo filesystems in ctam()
    add set_bootstick,
    add multiple functions for generating disk lists
    grepv_disks()
    grep_disks()
    notmatchdisks()
    matchdisks()
    smallestdisk()
    largestdisk()
    all_disks_by_size()
    all_disks_and_size()
    once_only()
    checkdisk()
    disks_by_id()

  [ Henning Glawe ]
  * fai-mount-disk: ignore partition type "zfs_member"
  * mount2dir: ignore nfs4 and cephfs

  [ Moritz 'Morty' Strübe ]
  * add support for systemd

 -- Thomas Lange <lange@debian.org>  Sun, 21 Jan 2024 00:23:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fai
 Section: admin
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Thomas Lange <lange@debian.org>
+Maintainer: Thomas Lange <lange@debian.org>
 Standards-Version: 4.6.1
 Build-Depends-Indep: asciidoc-dblatex, w3m, dblatex, docbook-xsl, libparse-recdescent-perl
 Build-Depends: debhelper-compat (= 12), debhelper (>= 11), libgraph-perl, devscripts
@@ -88,7 +87,7 @@
 Package: fai-setup-storage
 Architecture: all
 Depends: perl, e2fsprogs, libparse-recdescent-perl, liblinux-lvm-perl, parted, ${misc:Depends}
-Recommends: lvm2, mdadm
+Recommends: fai-client, lvm2, mdadm
 Suggests: dmsetup, cryptsetup, dosfstools, jfsutils, ntfs-3g, reiserfsprogs, xfsprogs
 Description: automatically prepare storage devices
  Using FAI disk_config files, setup-storage computes effective

## fai 6.2.5

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 PERL_SCRIPTS = lib/setup-storage/*.pm bin/ainsl bin/device2grub bin/dhcp-edit bin/fai-chboot bin/fai-deps bin/fai-monitor bin/fai-monitor-gui bin/fai-new-mac bin/fcopy bin/install_packages bin/setup-storage dev-utils/setup-storage_deps-graph.pl examples/simple/tests/Faitest.pm lib/dhclient-perl lib/fai-savelog-ftp
 
 # do not include setup-storage and dracut subdir
-EXCL=lib/dracut lib/setup-storage
+EXCL=lib/dracut lib/setup-storage lib/fai-abort
 libfiles=$(filter-out $(EXCL),$(wildcard lib/[a-z]*))
 
 all:
@@ -84,7 +84,6 @@
 	-install $(libfiles) $(LIBDIR)
 	cp -a lib/dracut/80fai-autodiscover $(DESTDIR)/usr/lib/dracut/modules.d
 	install lib/setup-storage/* $(SHAREDIR)/setup-storage
-	install -m644 lib/udev.patch $(SHAREDIR)/
 	cd bin ; install $(USRSBIN_SCRIPTS) $(DESTDIR)/usr/sbin
 	cd bin ; install $(USRBIN_SCRIPTS) $(DESTDIR)/usr/bin
 	install dev-utils/fai-kvm $(DESTDIR)/usr/bin

=== debian/changelog ===
fai (6.2.5) unstable; urgency=medium

  * subroutines: better check if $target needs to be umounted,
    this fixes fai-diskimage build failures

 -- Thomas Lange <lange@debian.org>  Sat, 11 Jan 2025 21:21:07 +0100

fai (6.2.4) unstable; urgency=low

  [ Thomas Lange ]
  * doc/Makefile: do not execute both a2x commands in parallel
    Closes: #1089253
  * grub.cfg.live: use predictable network interface names like eth0
  * NFSROOT: add util-linux-extra for hwclock, add nvidia-detect,
    add firmware-qlogic package: Closes: #1077747, add firmware-netxen
    add isc-dhcp-client, which is not added by default in trixie any more
  * fai-chboot: -s now matches a pattern, not only the suffix
  * subroutines: fix variable name
  * task_sysinfo: create correct mdadm.conf and devices,
    call fai-mount-disk with -r
  * grub.cfg: ip=dhcp is not needed, rd.neednet does it,
    use == for test
  * remove udev patch, instead set event_activation = 0 in lvm.conf
  * print warning if no systemd is installed into the nfsroot
  * fai-mount-disk: add option -r
  * fai-make-nfsroot.8: clarify p, -P
  * fai-make-nfsroot: add subroutine mount_special_into_nfsroot,
    dracut module dash is needed by newer dracut versions
  * fai-cd: provide memtest grub menu for legacy bios and UEFI on x64
  * rc.local/CLOUD: if we create ssh host keys also restart the service
  * pkgs/README: add info how to use this folder
  * 20-hwdetect.sh: load md-mod, needed for creating mdadm.conf in sysinfo
  * DEMO/10-rootpw: add user to group sudo instead of editing /etc/sudoers
  * LIVEISO/20-initrd: module dash is need for newer dracut versions
  * package_config/DEBIAN: add firmware-myricom
  * fai-divert: check for binary without doing chroot
  * remove diversion of rcS, do not run fai as /etc/init.d/rcS
  * fai: add function inside_nfsroot
    use inside_nfsroot instead of variable $do_init_tasks
  * not-installed: make dh_missing happy
  * set debhelper to 13
  * remove watch file
  * use function inside_nfsroot instead of $do_init_tasks
  * control: update standards version, no changes needed
  * fai-mk-network: abort if bridge already exists
  * task_inventory: do not list non-existing disks
  * add efibootmgr to EFI environment

  [ Anton Lundin ]
  * subroutines: Save any updated time to hardware

  [ Yoann Congal ]
  * fai-cd: arm64 iso build support

 -- Thomas Lange <lange@debian.org>  Fri, 03 Jan 2025 22:06:40 +0100

=== debian/tests/control ===
Tests: utils
Depends: fai-server, fai-doc
Architecture: amd64

Tests: config-space fcopy nfsroot dirinstall fai-mirror
Restrictions: isolation-container needs-root needs-internet allow-stderr
Depends: fai-server, fai-doc, reprepro, binutils
Architecture: amd64

Tests: fai-cd fai-cd-tests
Restrictions: isolation-machine needs-root
Depends: fai-server, fai-doc, qemu-utils, xorriso, squashfs-tools, binutils, dosfstools, mtools, reprepro, binutils
Architecture: amd64

Tests: diskimage
Restrictions: isolation-container needs-root needs-internet skippable
Depends: fai-server, fai-doc, reprepro, binutils, fai-setup-storage, qemu-utils, dosfstools
Architecture: amd64

## fai 6.2.6

=== debian/changelog ===
fai (6.2.6) unstable; urgency=low

  * dhcpd.conf: add option for ARM64 boot
  * fai: do not call unshare with --pid
  * fai-mirror: include packages starting with a number

 -- Thomas Lange <lange@debian.org>  Mon, 03 Feb 2025 08:12:52 +0100

## fai 6.3.1

=== debian/changelog ===
fai (6.3.1) unstable; urgency=low

  * fai-cd: add missing dracut modules when generating autodiscover ISO
  * rc.local/FAISERVER: restart ssh after new ssh keys are created

 -- Thomas Lange <lange@debian.org>  Wed, 26 Mar 2025 11:53:33 +0100

fai (6.3) unstable; urgency=low

  [ Thomas Lange ]
  * replace old dracut module overlay-root with overlayfs module
  * replace cmdline option rootovl with rd.live.overlay.overlayfs
  * replace pathes used by old overlay-root module
  * example.profile: add config for Alma Linux
  * fai-kvm: add option -S, remove -V
  * fai-cd.8: explain how to add the data partition to an ISO
  * fai-chboot.8: add example for -U
  * fai-mount-disk: check for empty variable
  * fai-chboot: remove aufs support, remove nfs option vers=3
  * setup-storqage.8: Add info about $FAI_KEEP_CRYPTKEYFILE
  * conf/NFSROOT: add memtest86+
  * task_inventory: add nvme infos, save logs to lcoal disk or on USB
    stick
  * fai-guide: remove section how to use NFS v4
  * package_config/DEBIAN: a live ISO needs grub packages
  * package_config/STANDARD: update transitional package name
  * savelog.LAST.sh: add ignore pattern

  [ Greg Arnold ]
  * 15-root-ssh-key: authorized_keys does not need execute permissions
  * GRUB_PC/10-setup: fix regex

 -- Thomas Lange <lange@debian.org>  Tue, 25 Mar 2025 13:41:36 +0100

## fai 6.4

=== debian/changelog ===
fai (6.4) unstable; urgency=low

  * new class MINT for Linux Mint, added profile for Mint
  * install_packages: special handling if a negation is detected,
    add support for boolean expressions in PACKAGES line, Closes: #479537
    do not die if download of unknown package fails
  * new implementation of ifclass including support for boolean
    expressions
  * scripts/DEMO/10-misc: move some code into subroutine
  * savelog.LAST.sh: add ignore patterns
  * fai-make-nfsroot: test file before copying
  * task_inventory, task_sysinfo: use task_savelog for saving logs to
    local storage and remote
  * fai-mirror: use /etc/fai/apt/preferences.d when building the mirror
  * fai-chboot: use the syslinux directive linux instead of kernel
  * fai-kvm: add support for UEFI variables, do not set index for usb
    device, use Gb for memory if no unit was specified
  * ROCKY/40-install-grub: remove old code, UEFI installat
  * ROCKY/30-mkinitrd: dracut call not needed in most cases
  * DEBIAN.var: add Ubuntu HWE kernel

 -- Thomas Lange <lange@debian.org>  Thu, 17 Apr 2025 20:33:39 +0200

## fai 6.4.3

=== Makefile ===
--- 
+++ 
@@ -7,12 +7,12 @@
 SHAREDIR = $(DESTDIR)/usr/share/fai
 USRSBIN_SCRIPTS = fai-make-nfsroot fai-setup fcopy ftar install_packages fai-chboot fai-monitor fai-cd fai faireboot fai-statoverride setup-storage dhcp-edit fai-new-mac fai-diskimage mk-data-partition
 
-USRBIN_SCRIPTS = fai-class fai-do-scripts fai-mirror fai-debconf device2grub policy-rc.d.fai ainsl fai-link fai-sed fai-monitor-gui fai-deps fai-mk-configspace
+USRBIN_SCRIPTS = fai-class fai-do-scripts fai-mirror fai-debconf device2grub policy-rc.d.fai ainsl fai-link fai-sed fai-monitor-gui fai-deps fai-mk-configspace ifclass
 
 # for syntax checks
 BASH_SCRIPTS = bin/fai bin/fai-cd bin/fai-class bin/fai-debconf bin/fai-do-scripts bin/fai-make-nfsroot bin/fai-mirror bin/fai-setup bin/fai-diskimage bin/fai-statoverride bin/faireboot bin/ftar bin/fai-link bin/fai-sed dev-utils/fai-kvm dev-utils/fai-mk-network examples/simple/basefiles/mk-basefile examples/simple/class/*.sh examples/simple/class/[0-9]* examples/simple/files/etc/rc.local/FAISERVER examples/simple/hooks/* examples/simple/scripts/*/* lib/fai-divert lib/fai-mount-disk lib/fai-savelog lib/fetch-basefile lib/get-boot-info lib/get-config-dir* lib/mkramdisk lib/mount2dir lib/prcopyleft lib/subroutines lib/task_* lib/updatebase lib/dracut/*/* bin/fai-mk-configspace bin/mk-data-partition lib/terminal-wrapper lib/fai-disk-info
 SHELL_SCRIPTS = bin/dhclient-fai-script bin/policy-rc.d.fai lib/check_status lib/create_resolv_conf lib/fai-abort lib/load_keymap_consolechars utils/mkdebmirror
-PERL_SCRIPTS = lib/setup-storage/*.pm bin/ainsl bin/device2grub bin/dhcp-edit bin/fai-chboot bin/fai-deps bin/fai-monitor bin/fai-monitor-gui bin/fai-new-mac bin/fcopy bin/install_packages bin/setup-storage dev-utils/setup-storage_deps-graph.pl examples/simple/tests/Faitest.pm lib/dhclient-perl lib/fai-savelog-ftp
+PERL_SCRIPTS = lib/setup-storage/*.pm bin/ainsl bin/device2grub bin/dhcp-edit bin/fai-chboot bin/fai-deps bin/fai-monitor bin/fai-monitor-gui bin/fai-new-mac bin/fcopy bin/install_packages bin/setup-storage dev-utils/setup-storage_deps-graph.pl examples/simple/tests/Faitest.pm lib/dhclient-perl lib/fai-savelog-ftp bin/ifclass
 
 # do not include setup-storage and dracut subdir
 EXCL=lib/dracut lib/setup-storage lib/fai-abort
@@ -58,6 +58,7 @@
 	for f in File/lchown.pm Linux/LVM.pm Tk.pm Tk/HList.pm Tk/ItemStyle.pm; do \
 		echo '1;' > perl-dummy/$$f ; \
 	done; \
+	cp -a lib/Eval perl-dummy; \
 	for SCRIPT in $(PERL_SCRIPTS); do \
 		test -r $${SCRIPT} || continue ; \
 		perl -Iperl-dummy/ -Ilib/setup-storage/ -w -c $${SCRIPT} || exit ; \
@@ -106,6 +107,7 @@
 	# Systemd
 	mkdir -p $(DESTDIR)/usr/lib/systemd/system
 	install -m644 conf/systemd/* $(DESTDIR)/usr/lib/systemd/system
-
+	mkdir -p $(DESTDIR)/usr/share/perl5
+	cp -a lib/Eval $(DESTDIR)/usr/share/perl5
 
 .PHONY: clean veryclean

=== debian/changelog ===
fai (6.4.3) unstable; urgency=low

  * fix sizes in autopkg tests, because of smaller nfsroot

 -- Thomas Lange <lange@debian.org>  Mon, 26 May 2025 17:39:21 +0200

fai (6.4.2) unstable; urgency=low

  * use trixie as default distribution

 -- Thomas Lange <lange@debian.org>  Fri, 23 May 2025 10:39:58 +0200

fai (6.4.1) unstable; urgency=low

  * ifclass, install_packages: support dashes in classes, Closes: 1105748

 -- Thomas Lange <lange@debian.org>  Fri, 16 May 2025 23:01:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Thomas Lange <lange@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Build-Depends-Indep: asciidoc-dblatex, w3m, dblatex, docbook-xsl, libparse-recdescent-perl
-Build-Depends: debhelper-compat (= 12), debhelper (>= 11), libgraph-perl, devscripts
+Build-Depends: debhelper-compat (= 13), debhelper (>= 11), libgraph-perl, devscripts
 Vcs-Git: https://github.com/faiproject/fai.git
 Vcs-Browser: https://github.com/faiproject/fai
 Homepage: https://fai-project.org
@@ -74,7 +74,7 @@
 
 Package: fai-nfsroot
 Architecture: all
-Depends: fai-client (>=5.2), fai-setup-storage, pxelinux| syslinux-common, syslinux-efi, patch, ${misc:Depends}
+Depends: fai-client (>=5.2), fai-setup-storage, pxelinux| syslinux-common, syslinux-efi, ${misc:Depends}
 Description: Fully Automatic Installation nfsroot package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as

## fai 6.4.3ubuntu1

=== debian/changelog ===
fai (6.4.3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. (LP: #2115215) Remaining changes:
    - conf/NFSROOT
      + Replace debian linux-image-* with linux-image-generic.
    - conf/{sources.list, nfsroot.conf}:
      + Adjust to Ubuntu sources.
    - conf/nfsroot.conf:
      + Add "dhcp-client" to "--exclude" to FAI_DEBOOTSTRAP_OPTS.

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 23 Jun 2025 12:00:38 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fai
 Section: admin
 Priority: optional
-Maintainer: Thomas Lange <lange@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thomas Lange <lange@debian.org>
 Standards-Version: 4.7.0
 Build-Depends-Indep: asciidoc-dblatex, w3m, dblatex, docbook-xsl, libparse-recdescent-perl
 Build-Depends: debhelper-compat (= 13), debhelper (>= 11), libgraph-perl, devscripts

=== debian/rules ===
#!/usr/bin/make -f

-include VERSION

# Tell texlive to respect SOURCE_DATE_EPOCH for reproducible builds
export FORCE_SOURCE_DATE=1

%:
	dh $@

override_dh_auto_build:
	# Force UTF-8 locale to ensure UTF-8 file encoding for generated files
	LC_ALL=C.UTF-8 dh_auto_build

override_dh_installdocs:
	dh_installdocs -Nfai-server -Nfai-quickstart
	sed -i 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' debian/fai-client/usr/share/doc/fai-client/README

override_dh_installchangelogs:
	dh_installchangelogs -Nfai-server -Nfai-quickstart

override_dh_compress:
	dh_compress -Xexamples -X.pdf

## fai 6.5

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 # for syntax checks
 BASH_SCRIPTS = bin/fai bin/fai-cd bin/fai-class bin/fai-debconf bin/fai-do-scripts bin/fai-make-nfsroot bin/fai-mirror bin/fai-setup bin/fai-diskimage bin/fai-statoverride bin/faireboot bin/ftar bin/fai-link bin/fai-sed dev-utils/fai-kvm dev-utils/fai-mk-network examples/simple/basefiles/mk-basefile examples/simple/class/*.sh examples/simple/class/[0-9]* examples/simple/files/etc/rc.local/FAISERVER examples/simple/hooks/* examples/simple/scripts/*/* lib/fai-divert lib/fai-mount-disk lib/fai-savelog lib/fetch-basefile lib/get-boot-info lib/get-config-dir* lib/mkramdisk lib/mount2dir lib/prcopyleft lib/subroutines lib/task_* lib/updatebase lib/dracut/*/* bin/fai-mk-configspace bin/mk-data-partition lib/terminal-wrapper lib/fai-disk-info
-SHELL_SCRIPTS = bin/dhclient-fai-script bin/policy-rc.d.fai lib/check_status lib/create_resolv_conf lib/fai-abort lib/load_keymap_consolechars utils/mkdebmirror
+SHELL_SCRIPTS = bin/policy-rc.d.fai lib/check_status lib/create_resolv_conf lib/fai-abort lib/load_keymap_consolechars utils/mkdebmirror
 PERL_SCRIPTS = lib/setup-storage/*.pm bin/ainsl bin/device2grub bin/dhcp-edit bin/fai-chboot bin/fai-deps bin/fai-monitor bin/fai-monitor-gui bin/fai-new-mac bin/fcopy bin/install_packages bin/setup-storage dev-utils/setup-storage_deps-graph.pl examples/simple/tests/Faitest.pm lib/dhclient-perl lib/fai-savelog-ftp bin/ifclass
 
 # do not include setup-storage and dracut subdir
@@ -83,21 +83,20 @@
 	pod2man -c '' -r '' -s8 bin/fai-deps > $(DESTDIR)/man/fai-deps.8
 	$(MAKE) -C doc install
 	-install $(libfiles) $(LIBDIR)
-	cp -a lib/dracut/80fai-autodiscover $(DESTDIR)/usr/lib/dracut/modules.d
+	cp -a lib/dracut/50fai-autodiscover $(DESTDIR)/usr/lib/dracut/modules.d
 	install lib/setup-storage/* $(SHAREDIR)/setup-storage
 	cd bin ; install $(USRSBIN_SCRIPTS) $(DESTDIR)/usr/sbin
 	cd bin ; install $(USRBIN_SCRIPTS) $(DESTDIR)/usr/bin
 	install dev-utils/fai-kvm $(DESTDIR)/usr/bin
 	install dev-utils/fai-mk-network $(DESTDIR)/usr/sbin
-	install bin/dhclient-fai-script  $(SHAREDIR)/
-	install -m644 conf/dhclient-fai.conf $(SHAREDIR)/
+	install -m644 conf/dhcpcd.conf $(SHAREDIR)/
 	install -m644 conf/apt.conf $(DESTDIR)/etc/apt/apt.conf.d/90fai
 	cd conf ; install -m644 fai.conf grub.cfg grub.cfg.autodiscover grub.cfg.live $(DESTDIR)/etc/fai/
 	install -m644 conf/nfsroot.conf $(DESTDIR)/etc/fai/
 	install -m644 conf/sources.list $(DESTDIR)/etc/fai/apt/
 	install -m644 conf/fai-project.gpg $(DESTDIR)/etc/fai/apt/trusted.gpg.d/
 	install -m644 conf/NFSROOT $(DESTDIR)/etc/fai
-	install -m755 lib/fai-abort $(DESTDIR)/etc/init.d
+	install -m755 lib/fai-abort $(LIBDIR)
 	cp -a pixmaps/*.gif $(SHAREDIR)/pixmaps
 	cp -a pixmaps/small/*.gif $(SHAREDIR)/pixmaps/small
 	sed -i 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(DESTDIR)/usr/sbin/fai

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#!/bin/make -s
+#!/bin/make
 
 DOC = fai-guide
 MISC_DOC = classes_description.txt changelog.old
@@ -16,7 +16,6 @@
 html: $(DOC).txt images
 	asciidoc -a toc2 -a toclevels=3 --theme=flask $(DOC).txt
 
-.NOTPARALLEL:	pdf
 pdf: $(DOC).txt	images
 	a2x $(OPT) -L --icons -a toc -a toclevels=3 -f pdf $(DOC).txt
 	rm -f $(DOC).xml $(DOC).fo
@@ -32,6 +31,7 @@
 	unoconv --show >/dev/null 2>&1 || exit "Please install the unoconv package."
 	unoconv -f doc $(DOC).html
 
+.NOTPARALLEL:	free
 all:	free
 
 install:

=== debian/changelog ===
fai (6.5) unstable; urgency=low

  [ Thomas Lange ]
  * control: remove dependency on isc-dhcp-server, Closes: #1106124
    remove grub2 from suggests
  * remove need of dhclient
  * update fai-project repo key
  * move fai-abort to /usr/lib/fai, no sysv init script any more
  * do not write to local filesystem if it's not writable
  * fai-mirror: ignore logical operators in classes
  * subroutines: start dbus daemon
  * NFSROOT: add dbus
  * fai-make-nfsroot: add dracut module systemd-hostnamed
  * replace dhclient with dhcpcd
  * fai-kvm: fix path of ovmf code, new file names
  * install_packages: add option -c, fix logical expressions handling,
    use aptoptions when calling apt-cache
  * fai-mirror: add option -I, ignore conflicts when downloading packages,
    do not generate srcpkgcache.bin, do not download package translations
  * get-config-dir: exit if an error occurs

  [ Gregor Kleen ]
  * install_packages: include virtual packages in debian_pkg_list,
    resolve environment variables, reduce heuristics used for detecting
    debianness

  [  Christopher Bock ]
  * ifclass: fix example

  [ Jo Zzsi ]
  * Makefile: changed dracut module numbers

 -- Thomas Lange <lange@debian.org>  Fri, 31 Oct 2025 10:01:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fai
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Lange <lange@debian.org>
+Maintainer: Thomas Lange <lange@debian.org>
 Standards-Version: 4.7.0
 Build-Depends-Indep: asciidoc-dblatex, w3m, dblatex, docbook-xsl, libparse-recdescent-perl
 Build-Depends: debhelper-compat (= 13), debhelper (>= 11), libgraph-perl, devscripts
@@ -42,8 +41,8 @@
 Package: fai-server
 Architecture: all
 Depends: fai-client, e2fsprogs, debootstrap, xz-utils, ${misc:Depends}
-Recommends: nfs-kernel-server, isc-dhcp-server, tftpd-hpa | atftpd, openssh-server, openssh-client, openbsd-inetd | inet-superserver, libproc-daemon-perl, dosfstools, mtools
-Suggests: debmirror, reprepro, xorriso, squashfs-tools, binutils, grub2, perl-tk, qemu-utils, fai-setup-storage
+Recommends: nfs-kernel-server, tftpd-hpa | atftpd, openssh-server, openssh-client, openbsd-inetd | inet-superserver, libproc-daemon-perl, dosfstools, mtools
+Suggests: debmirror, reprepro, xorriso, squashfs-tools, binutils, perl-tk, qemu-utils, fai-setup-storage
 Description: Fully Automatic Installation server package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as
@@ -61,7 +60,7 @@
 
 Package: fai-quickstart
 Architecture: all
-Depends: fai-server, fai-doc, isc-dhcp-server, nfs-kernel-server, tftpd-hpa | atftpd, reprepro, xorriso, squashfs-tools, binutils, openbsd-inetd | inet-superserver, ${misc:Depends}
+Depends: fai-server, fai-doc, nfs-kernel-server, tftpd-hpa | atftpd, reprepro, xorriso, squashfs-tools, binutils, openbsd-inetd | inet-superserver, ${misc:Depends}
 Description: Fully Automatic Installation quickstart package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as

=== debian/tests/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 Tests: config-space fcopy nfsroot dirinstall fai-mirror
 Restrictions: isolation-container needs-root needs-internet allow-stderr
-Depends: fai-server, fai-doc, reprepro, binutils
+Depends: fai-server, fai-doc, reprepro, binutils, tzdata
 Architecture: amd64
 
 Tests: fai-cd fai-cd-tests

## fai 6.5.1

=== Makefile ===
--- 
+++ 
@@ -76,7 +76,7 @@
 install:
 	mkdir -p $(DESTDIR)/{sbin,man} $(DESTDIR)/etc/{modutils,apt/apt.conf.d}
 	mkdir -p $(DESTDIR)/usr/{sbin,bin} $(DESTDIR)/usr/lib/fai $(DESTDIR)/etc/fai/apt/trusted.gpg.d
-	mkdir -p $(DESTDIR)/etc/{init,init.d} $(SHAREDIR)/{pixmaps/small,setup-storage}
+	mkdir -p $(SHAREDIR)/{pixmaps/small,setup-storage}
 	mkdir -p $(DESTDIR)/usr/lib/dracut/modules.d
 	install man/* $(DESTDIR)/man
 	pod2man -c '' -r '' -s8 bin/dhcp-edit > $(DESTDIR)/man/dhcp-edit.8

=== debian/changelog ===
fai (6.5.1) unstable; urgency=low

  * do not modify @classes, closes: #1121778
  * fai-setup: replace invoke-rc.d with systemd commands
  * Makefile: remove unused path
  * package_config/DEBIAN: remove duplicate

 -- Thomas Lange <lange@debian.org>  Fri, 05 Dec 2025 12:21:57 +0100

## fai 6.5.2

=== debian/changelog ===
fai (6.5.2) unstable; urgency=low

  * install_packages: add option -P, which prints the URIs,
    print correct package list when using -l
  * fai-cd: use overlayfs instead of bind mounts,
    option -s is now ignored,
    exclude more kernel modules for the autodiscover ISO,
    add .git directory of the config space

 -- Thomas Lange <lange@debian.org>  Fri, 02 Jan 2026 23:00:09 +0100
